#!/bin/bash

function log() {
  message="[$(date +%Y-%m-%d\ %H:%M:%S)]: $1"
  echo "$message"
  if [ $# -eq 2 ];then
   echo "$message" >> "$2"
  fi
}

function replaceMacro() {
  local filename="$1"
  local macro="$2"
  local value="$3"

  sed -i "s#${macro}#${value}#g" "${filename}"
}
